

# GetMalwareScanSettings
<a name="API_GetMalwareScanSettings"></a>

Returns the details of the malware scan settings.

There might be regional differences because some data sources might not be available in all the Amazon Regions where GuardDuty is presently supported. For more information, see [Regions and endpoints](https://docs.amazonaws.cn/guardduty/latest/ug/guardduty_regions.html).

## Request Syntax
<a name="API_GetMalwareScanSettings_RequestSyntax"></a>

```
GET /detector/{{DetectorId}}/malware-scan-settings HTTP/1.1
```

## URI Request Parameters
<a name="API_GetMalwareScanSettings_RequestParameters"></a>

The request uses the following URI parameters.

 ** [DetectorId](#API_GetMalwareScanSettings_RequestSyntax) **   <a name="guardduty-GetMalwareScanSettings-request-uri-DetectorId"></a>
The unique ID of the detector that is associated with this scan.  
To find the `detectorId` in the current Region, see the Settings page in the GuardDuty console, or run the [ListDetectors](https://docs.amazonaws.cn/guardduty/latest/APIReference/API_ListDetectors.html) API.  
Length Constraints: Minimum length of 1. Maximum length of 300.  
Required: Yes

## Request Body
<a name="API_GetMalwareScanSettings_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetMalwareScanSettings_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ebsSnapshotPreservation": "string",
   "scanResourceCriteria": { 
      "exclude": { 
         "string" : { 
            "mapEquals": [ 
               { 
                  "key": "string",
                  "value": "string"
               }
            ]
         }
      },
      "include": { 
         "string" : { 
            "mapEquals": [ 
               { 
                  "key": "string",
                  "value": "string"
               }
            ]
         }
      }
   }
}
```

## Response Elements
<a name="API_GetMalwareScanSettings_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ebsSnapshotPreservation](#API_GetMalwareScanSettings_ResponseSyntax) **   <a name="guardduty-GetMalwareScanSettings-response-ebsSnapshotPreservation"></a>
An enum value representing possible snapshot preservation settings.  
Type: String  
Valid Values: `NO_RETENTION | RETENTION_WITH_FINDING` 

 ** [scanResourceCriteria](#API_GetMalwareScanSettings_ResponseSyntax) **   <a name="guardduty-GetMalwareScanSettings-response-scanResourceCriteria"></a>
Represents the criteria to be used in the filter for scanning resources.  
Type: [ScanResourceCriteria](API_ScanResourceCriteria.md) object

## Errors
<a name="API_GetMalwareScanSettings_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
A bad request exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 400

 ** InternalServerErrorException **   
An internal server error exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 500

## See Also
<a name="API_GetMalwareScanSettings_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for C\+\+](https://docs.amazonaws.cn/goto/SdkForCpp/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/guardduty-2017-11-28/GetMalwareScanSettings) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/guardduty-2017-11-28/GetMalwareScanSettings) 